module.exports = {
  create: {
    requestBody: [
      '!name',
      'imgpath',
      'gender',
      'nation',
      'birth',
      'cardtype',
      'cardnumber',
      'technical',
      'technical_actual',
      'position',
      'school',
      'eduback',
      'degree',
      'major_studied',
      'professional',
      'email',
      'tel',
      'phone',
      'job_profile',
      'project_profile',
      'achievement',
      'paper',
      'remark',
      'field',
      'field_py',
      'is_del'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'imgpath',
      'gender',
      'nation',
      'birth',
      'cardtype',
      'cardnumber',
      'technical',
      'technical_actual',
      'position',
      'school',
      'eduback',
      'degree',
      'major_studied',
      'professional',
      'email',
      'tel',
      'phone',
      'job_profile',
      'project_profile',
      'achievement',
      'paper',
      'remark',
      'field',
      'field_py',
      'is_del'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name : 'name',
        imgpath : 'imgpath',
        gender : 'gender',
        nation : 'nation',
        birth : 'birth',
        cardtype : 'cardtype',
        cardnumber : 'cardnumber',
        technical : 'technical',
        technical_actual : 'technical_actual',
        position : 'position',
        school : 'school',
        eduback : 'eduback',
        degree : 'degree',
        major_studied : 'major_studied',
        professional : 'professional',
        email : 'email',
        tel : 'tel',
        phone : 'phone',
        job_profile : 'job_profile',
        project_profile: 'project_profile',
        achievement : 'achievement',
        paper : 'paper',
        remark : 'remark',
        field : 'field',
        field_py : 'field_py',
        is_del : 'is_del'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
