module.exports = {
  create: {
    requestBody: [
      'infotype',
      '!name',
      'content',
      'user_id',
      'user_name',
      'column_id',
      'state'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'infotype',
      'name',
      'content',
      'user_id',
      'user_name',
      'column_id',
      'state'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        infotype :'infotype',
        name :'name',
        content :'content',
        user_id :'user_id',
        user_name :'user_name',
        column_id: 'column_id',
        state :'state'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
