module.exports = {
  create: {
    requestBody: [
      '!license',
      '!name',
      'column_id',
      'salary',
      'job_nature',
      'profession',
      'workplace',
      'workexp',
      'education',
      'people_number',
      'explains',
      'state'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'license',
      'name',
      'column_id',
      'salary',
      'job_nature',
      'profession',
      'workplace',
      'workexp',
      'education',
      'people_number',
      'explains',
      'state'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        license :'license',
        name :'name',
        column_id: 'column_id',
        salary :'salary',
        job_nature :'job_nature',
        profession :'profession',
        workplace :'workplace',
        workexp :'workexp',
        education :'education',
        people_number:'people_number',
        explains:'explains',
        state:'state'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
