'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);

  // 栏目表设置路由
  router.resources('column', '/api/talent/column', controller.column); // index、create、show、destroy
  router.post('column', '/api/talent/column/update/:id', controller.column.update);

  // 简历表设置路由
  router.resources('resume', '/api/talent/resume', controller.resume); // index、create、show、destroy
  router.post('resume', '/api/talent/resume/update/:id', controller.resume.update);

  // 招聘信息表设置路由
  router.resources('recruitment', '/api/talent/recruitment', controller.recruitment); // index、create、show、destroy
  router.post('recruitment', '/api/talent/recruitment/update/:id', controller.recruitment.update);

  // 专家表设置路由
  router.resources('experts', '/api/talent/experts', controller.experts); // index、create、show、destroy
  router.post('experts', '/api/talent/experts/update/:id', controller.experts.update);

  // 参谋表设置路由
  router.resources('information', '/api/talent/information', controller.information); // index、create、show、destroy
  router.post('information', '/api/talent/information/update/:id', controller.information.update);
};
